Package org.gradle.nativeplatform

# Class NativeInstallationSpec

java.lang.Object
org.gradle.nativeplatform.NativeInstallationSpec

@Incubating public class NativeInstallationSpec extends Object
Specifies the installation location for a native executable.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NativeInstallationSpec()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `File`
  `getDirectory()`
  `void`
  `setDirectory(File directory)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NativeInstallationSpec

    public NativeInstallationSpec()

- ## Method Details

  - ### getDirectory

    public File getDirectory()

  - ### setDirectory

    public void setDirectory(File directory)